Std Boîte de délimitation

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std SelBoundingBox and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Page précédente : Std DrawStyle.svg Style de représentation
Page suivante : Stéréo rouge cyan Std ViewIvStereoRedGreen.svg Arrow-right.svg

Std SelBoundingBox.svg Std SelBoundingBox

Emplacement du menu
Affichage → Bounding box
Ateliers
Tous
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Std Style de représentation


Description

La commande Std Boîte de délimitation bascule le mode de surbrillance du cadre de sélection global. Si ce mode est activé, les objets sélectionnés sont marqués dans une vue 3D avec un cadre de sélection en surbrillance même si leur ViewSelection Style est défini sur 'Shape' (Forme).

Utilisation

  1. Il existe plusieurs façons d'appeler la commande:
    • Appuyez sur le bouton Std SelBoundingBox.svg Std SelBoundingBox.
    • Sélectionnez l'option Affichage → Std SelBoundingBox.svg Bounding box dans le menu.

Préférences

Le mode en question est stocké: Outils → Editer paramètres... → BaseApp → Preferences → View → ShowSelectionBoundingBox. Il s'agit d'une valeur booléenne, la valeur par défaut est false.

Script

Voir aussi: FreeCAD Script de base.

Pour modifier le paramètre ShowSelectionBoundingBox, utilisez la méthode SetBool du ParameterGrp approprié. L'exemple de code ne fonctionne pas si FreeCAD est en mode console.

import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/View')
if grp.GetBool('ShowSelectionBoundingBox'):
  grp.SetBool('ShowSelectionBoundingBox',False)
else:
  grp.SetBool('ShowSelectionBoundingBox',True)

FreeCADGui.updateCommands()
Arrow-left.svg Page précédente : Std DrawStyle.svg Style de représentation
Page suivante : Stéréo rouge cyan Std ViewIvStereoRedGreen.svg Arrow-right.svg